Subject: Re: openssl @ kth-krb4 conflicting [was: Re: CVS commit: pkgsrc]
To: Hubert Feyrer <>
From: Dr. Lex Wennmacher <wennmach@geo.Uni-Koeln.DE>
List: tech-pkg
Date: 09/06/2000 14:14:58
[moved here from source-changes]

On Sep 6,  2:00pm, Hubert Feyrer wrote:

> > Added a CONFLICT with kth-krb4. Both pkgs install a `des' binary in
> > the same place, $PREFIX/bin/des.
> This sounds suboptimal.
> Do the two programs do the same? Does anyone get called by one of the
> binaries directly? Maybe one of these can be renamed?

To quote Christoph Badura on this issue:

On Sep 6, 12:29am, Christoph Badura wrote:
> Actually, openssl shouldn't install the symlinks.  About every program
> uses the "openssl $CMD" form.

I think this is true, and the openssl package should be modified accordingly.

> Else it seems noone will be able to install kth-krb4 with openssh (which
> depends on openssl) when the need arises.

Correct. I'd like to get the conflict with kth-krb4 resolved by not installing
the links, but we need to get consensus first.

> Of course this is probably all academiy as we have openssl and heimdal
> (and kth-krb4? in base...

No, probably not. Many users will continue to run 1.4.2 (or even 1.3.x?) and as
far as I know, kth-krb4/heimdal/openssl is not even on 1.4.3.